get
https://developer-api.bringg.com/services/ea2f99c0/service_uuid1/service_uuid2
Get the details of all vehicles in Bringg.
This endpoint uses query paramsInstead of sending a payload, include the parameters below in the endpoint URL to customize the response. For example:
https://developer-api.bringg.com/services/{service_ID}/service_uuid1/service_uuid2?limit=10&cursor=3342
Response (Output) Params
| Parameter | Description |
|---|---|
| success boolean | Indicates whether the service completed successfully.
|
| message string | If an error occurred, a message indicating the error is included. |
| rc integer | If an error occurred, the return code is included. |
| available boolean | Specifies if this vehicle is available to be assigned to a route. Possible values: false or 0 - the vehicle is not available to be assignedtrue or 1 - the vehicle is available to be assigned |
| color string | The color of the vehicle. |
| company_id int64 | When using subcontracted drivers as your own fleet, specify Bringg's ID for the contracted organization. |
| default_parking_spot_id int64 | Bringg's ID for the parking spot associated with this vehicle. |
| external_id string | Your external system's ID for the vehicle. |
| id int64 | Bringg's ID for the vehicle. |
| is_trailer boolean | Indicates whether this vehicle is a trailer. |
| license_plate string | The vehicle's license plate number. |
| merchant_id int64 | The ID of the merchant to which the vehicle belongs. |
| model string | The vehicle's type or other identifying features. |
| name string | Your custom identifier for the vehicle. |
| skills string | An array of vehicle capabilities. |
| team_id int64 | Bringg's ID for the team associated with this vehicle. |
| trailer object | Vehicle object if a trailer is associated with this vehicle. |
| truck_id int64 | Bringg's ID for a trailer towed by this vehicle. |
| user_id int64 | Bringg's ID for the driver associated with this vehicle. |
| vehicle_type_id int64 | Bringg's ID for the vehicle profile. |

